{% extends 'skeleton/base.html' %} {% load static %}

<script src="{% static 'js/jquery-3.4.1.js' %}"></script>
<script src="{% static 'js/bootstrap.js' %}"></script>
<link href="{% static  'css/bootstrap.css' %}" rel="stylesheet" />
<link rel="stylesheet" href="{% static 'css/help.css' %}" />

{% block title %} <title> Lista de proveedores </title> {% endblock %}
{% block manual %}
<div class="manual-icon">
  <a href="#openModal"
    ><i class="fa fa-question-circle" aria-hidden="true"></i
  ></a>
</div>
<div id="openModal" class="modalDialog">
  <div class="container-manual">
    <a href="#close" title="Close" class="close">X</a>
    <h2 class="title-manual">Manual de uso</h2>
    <p class="p-manual">
      Esta es la Lista de proveedores. Aquí podrá visualizar todos los proveedores
      anteriormente ingresados. Los proveedores se mostrarán según la fecha de
      ingreso de forma descendente, al lado de cada proveedor se muestra un botón
      donde podrá editar sus campos en caso de ser necesario.
    </p>
  </div>
</div>
{% endblock %}
<!-- ////////////////////////////////////////////////// -->
{% block content %} {% if request.user.is_authenticated %}
<br />

<h1 class="display-3">Lista de proveedores</h1>

<br />
{{ mensaje }}
<br />

<table id="myTable" class="table table-striped table-bordered">
  <thead class="thead-light">
    <tr>
      <th>Nombre de proveedor</th>
      <th>Email</th>
      <th>Numero telefónico</th>
      <th>Dirección</th>
      <th>Editar</th>
    </tr>
  </thead>
  <tbody>
    {% for s in provider %}
    <tr>
      <td>{{ s.provider_name}}</td>
      <td>{{ s.email}}</td>
      <td>{{ s.phone_number}}</td>
      <td>{{ s.address}}</td>
      <td>
        <a
          type="button"
          class="btn btn-primary"
          href="/edit_provider/{{ s.id }}"
        >
          <i
            class="fa fa-pencil-square-o"
            aria-hidden="true"
            style="font-size: 20px;"
          ></i>
        </a>
      </td>
      {% endfor %}
    </tr>
  </tbody>
</table>
{% else %}

{% endif %} {% endblock content %}
<!-- ////////////////////////////////////////////////// -->
